Respond to a task
curl --request POST \
--url https://api.runaether.dev/v1/tasks/{taskID}/respond \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"client_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": {
"attachments": [
{
"data": "<string>",
"filename": "<string>",
"mediaType": "<string>"
}
],
"files": [
{
"include": true,
"path": "<string>"
}
]
},
"tool_response": {
"data": {
"answers": {},
"customAnswers": {}
},
"tool_name": "ask_user"
}
}
'import requests
url = "https://api.runaether.dev/v1/tasks/{taskID}/respond"
payload = {
"message": "<string>",
"client_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": {
"attachments": [
{
"data": "<string>",
"filename": "<string>",
"mediaType": "<string>"
}
],
"files": [
{
"include": True,
"path": "<string>"
}
]
},
"tool_response": {
"data": {
"answers": {},
"customAnswers": {}
},
"tool_name": "ask_user"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: '<string>',
client_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
context: {
attachments: [{data: '<string>', filename: '<string>', mediaType: '<string>'}],
files: [{include: true, path: '<string>'}]
},
tool_response: {data: {answers: {}, customAnswers: {}}, tool_name: 'ask_user'}
})
};
fetch('https://api.runaether.dev/v1/tasks/{taskID}/respond', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Tasks
Respond to a task
POST
/
tasks
/
{taskID}
/
respond
Respond to a task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Minimum string length:
1Show child attributes
Show child attributes
Available options:
default, plan Available options:
ultra, max, xhigh, high, medium, low, ultrathink, ultracode, none - Option 1
- Option 2
Show child attributes
Show child attributes
Response
Accepted
⌘I